Ask Your Question
0

problem with OpenGl i think

asked 2017-03-28 10:54:29 -0600

I'm trying to play this QML file https://github.com/MartinBriza/2048.qml

using qmlscene 2048.qml

but I'm having this error

QXcbIntegration: Cannot create platform OpenGL context, neither GLX nor EGL are enabled

and here's my hardware info :

01:00.0 VGA compatible controller: NVIDIA Corporation GT218M [NVS 3100M] (rev a2) (prog-if 00 [VGA controller])

edit retag flag offensive close merge delete

Comments

Try installing qt5-qtwayland assuming your nvidia driver is installed and working.

fcomida gravatar imagefcomida ( 2017-03-28 11:10:04 -0600 )edit

it didn't work..

ahmedayman055 gravatar imageahmedayman055 ( 2017-03-29 03:39:50 -0600 )edit

please post output from lsmod |grep nvidia and lsmod|grep nouveau to see which video driver is running.

SteveEbey73701 gravatar imageSteveEbey73701 ( 2017-03-29 11:05:06 -0600 )edit

it's working now! thanks a ton guys! I've just updated the dnf after installing qt5 as fcomida mentioned and also stopped Wayland and went back to X11 then it's worked by using

qmlscene-qt5 file.qml

ahmedayman055 gravatar imageahmedayman055 ( 2017-03-31 17:44:28 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-03-31 17:44:03 -0600

it's working now! thanks a ton guys! I've just updated the dnf after installing qt5 as fcomida mentioned and also stopped Wayland and went back to X11 then it's worked by using

qmlscene-qt5 file.qml

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2017-03-28 10:54:29 -0600

Seen: 125 times

Last updated: Mar 28 '17